/*
 * Copyright (c) 2016, National Institute of Informatics
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.gakunin.idp.attribute.filter.spring.saml.impl;

import net.shibboleth.ext.spring.util.BaseSpringNamespaceHandler;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


/** Namespace handler for the attribute filter engine SAML match functions. */
public class AttributeFilterSAMLNamespaceHandler extends BaseSpringNamespaceHandler {
    /** Class logger. */
    private final Logger log = LoggerFactory.getLogger(AttributeFilterSAMLNamespaceHandler.class);

    /** uApprove match function namespace. */
    public static final String NAMESPACE = "http://www.gakunin.jp/ns/uapprove-jp/afp/mf";

    /** {@inheritDoc} */
    @Override public void init() {
        registerBeanDefinitionParser(AttributeInMetadataRuleParser.ATTRIBUTE_IN_METADATA,
                new AttributeInMetadataRuleParser());
    }
    
}
